[arch-releng] [PATCH] Minor typos and make sure all Menu items have Upper Case

Jud jud at judfilm.net
Mon Apr 13 02:47:50 EDT 2009


---
 src/core/libs/lib-ui-interactive.sh |   22 +++++++++++-----------
 src/core/procedures/base            |    8 ++++----
 src/core/procedures/interactive     |    6 +++---
 3 files changed, 18 insertions(+), 18 deletions(-)

diff --git a/src/core/libs/lib-ui-interactive.sh b/src/core/libs/lib-ui-interactive.sh
index 8beb6fb..9f30aaa 100644
--- a/src/core/libs/lib-ui-interactive.sh
+++ b/src/core/libs/lib-ui-interactive.sh
@@ -40,7 +40,7 @@ interactive_configure_system()
 		"/etc/locale.gen"           "Glibc Locales" \
 		"/etc/pacman.conf"          "Pacman.conf" \
 		"$var_MIRRORLIST"           "Pacman Mirror List" \
-		"Root-Password"             "Set the root password" \
+		"Root-Password"             "Set the Root Password" \
 		"Done"                      "Return to Main Menu" || return 1
 		FILE=$ANSWER_OPTION
 
@@ -82,7 +82,7 @@ interactive_timezone () {
 
 interactive_time () {
         # utc or localtime?
-        ask_option UTC "Clock configuration" "Is your hardware clock in UTC or local time? UTC is recommended" required "UTC" " " "localtime" " " || return 1
+        ask_option UTC "Clock Configuration" "Is your hardware clock in UTC or local time? UTC is recommended" required "UTC" " " "localtime" " " || return 1
         HARDWARECLOCK=$ANSWER_OPTION
         [ -e /etc/localtime ] && rm -f /etc/localtime
 
@@ -96,8 +96,8 @@ interactive_time () {
                 EXTRA=()
 		type ntpdate &>/dev/null && EXTRA=('ntp' 'Set time and date using ntp')
 
-                ask_option $default "Date/time configuration" "According to your settings and your hardwareclock, the date should now be $current.  If this is incorrect, you can correct this now" required \
-                "${EXTRA[@]}" "manual" "Set time and date manually" "return" "Looks good. back to main menu"
+                ask_option $default "Date/Time Configuration" "According to your settings and your hardwareclock, the date should now be $current.  If this is incorrect, you can correct this now" required \
+                "${EXTRA[@]}" "manual" "Set Time and Date Manually" "return" "Looks good. Back to Main Menu"
                 if [ "$ANSWER_OPTION" = ntp ]
                 then
 			if ntpdate pool.ntp.org >/dev/null 
@@ -115,7 +115,7 @@ interactive_time () {
 			then
 				dohwclock $HARDWARECLOCK systohc && NEXTITEM=3
 			else
-				show_warning "Date/time setting failed" "Something went wrong when doing date -s $ANSWER_DATETIME" 
+				show_warning "Date/Time Setting Failed" "Something went wrong when doing date -s $ANSWER_DATETIME" 
 			fi
 		fi
                 [ "$ANSWER_OPTION" = return ] && break
@@ -621,7 +621,7 @@ Note that right now the packages (and groups) selection is limited to the repos
         _grouplist="${_grouplist} ${i} - OFF"
     done
 
-    ask_checklist "Select Package groups\nDO NOT deselect BASE unless you know what you're doing!" $_grouplist || return 1
+    ask_checklist "Select Package Groups\nDO NOT deselect BASE unless you know what you're doing!" $_grouplist || return 1
     _grouplist=$ANSWER_CHECKLIST # _grouplist now contains all groups (the tags from the dialog checklist)
 
     # assemble a list of packages with groups, marking pre-selected ones
@@ -643,7 +643,7 @@ Note that right now the packages (and groups) selection is limited to the repos
     # sort by group
     _pkglist="$(echo "$_pkglist" | sort -f -k 2)"
 
-    ask_checklist "Select Packages To Install." $_pkglist || return 1
+    ask_checklist "Select Packages to Install" $_pkglist || return 1
 	var_TARGET_PACKAGES=$ANSWER_CHECKLIST # contains now all package names
     return 0
 }
@@ -674,7 +674,7 @@ interactive_runtime_network() {
         dhcpcd -k $INTERFACE >$LOG 2>&1
         if ! dhcpcd $INTERFACE >$LOG 2>&1
         then
-            show_warning "Dhcpcd problem" "Failed to run dhcpcd.  See $LOG for details."
+            show_warning "Dhcpcd problem" "Failed to run dhcpcd. See $LOG for details."
             return 1
         fi
         if ! ifconfig $INTERFACE | grep -q 'inet addr:'
@@ -870,7 +870,7 @@ interactive_select_source()
         var_FILE_URL="file:///src/core/pkg"
         var_SYNC_URL=
 
-	ask_option no "Source selection" "Please select an installation source" required \
+	ask_option no "Source Selection" "Please select an installation source" required \
     "1" "CD-ROM or OTHER SOURCE" \
     "2" "FTP/HTTP" || return 1
 
@@ -901,10 +901,10 @@ interactive_select_source()
 # args: none
 # returns: nothing
 interactive_select_mirror() { 
-        notify "Keep in mind ftp.archlinux.org is throttled.\nPlease select another mirror to get full download speed."
+        notify "Please keep in mind that ftp.archlinux.org is throttled.\nPlease select another mirror to get full download speed."
         # FIXME: this regex doesn't honor commenting
         MIRRORS=$(egrep -o '((ftp)|(http))://[^/]*' "${var_MIRRORLIST}" | sed 's|$| _|g')
-        ask_option no "Mirror selection" "Select an FTP/HTTP mirror" required $MIRRORS "Custom" "_" || return 1
+        ask_option no "Mirror Selection" "Select an FTP/HTTP mirror" required $MIRRORS "Custom" "_" || return 1
     local _server=$ANSWER_OPTION
     if [ "${_server}" = "Custom" ]; then
         ask_string "Enter the full URL to core repo." "ftp://ftp.archlinux.org/core/os/$var_ARCH" || return 1
diff --git a/src/core/procedures/base b/src/core/procedures/base
index e3ff45c..895a369 100644
--- a/src/core/procedures/base
+++ b/src/core/procedures/base
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 #TODO: make this profile work on itself, eg some stuff from inheriting profiles should be moved in, stuff implemented etc
-var_DEFAULTFS="/boot:32:ext2:+ swap:256:swap /:7500:ext3 /home:*:ext3"
+var_DEFAULTFS="/boot:32:ext2:+ swap:256:swap /:8192:ext4 /home:*:ext4"
 var_TARGET_DIR="/mnt" # When overriding this, do _not_ add a trailing /.  It's not needed and maybe you could even break something
 var_RUNTIME_REPOSITORIES= # array like this ('name1' 'location of repo 1' ['name2' 'location of repo2',..])
 var_RUNTIME_PACKAGES=
@@ -106,9 +106,9 @@ worker_set_clock ()
         while true; do
                 default=no
                 [ -n "$NEXTITEM" ] && default="$NEXTITEM"
-                ask_option $default "Date/time configuration" '' required \
-                "1" "Select region and timezone" \
-                "2" "Set time and date" \
+                ask_option $default "Date/Time Configuration" '' required \
+                "1" "Select Region and Timezone" \
+                "2" "Set Time and Date" \
                 "3" "Return to Main Menu"
                 [ "$ANSWER_OPTION" = 1 ] && execute worker interactive_timezone && NEXTITEM=2
                 [ "$ANSWER_OPTION" = 2 ] && check_depend worker interactive_timezone && execute worker interactive_time && NEXTITEM=3
diff --git a/src/core/procedures/interactive b/src/core/procedures/interactive
index c9198a4..73eea26 100644
--- a/src/core/procedures/interactive
+++ b/src/core/procedures/interactive
@@ -18,10 +18,10 @@ PART_ROOT=
 # <mountpoint>:<partsize>:<fstype>[:+]
 DEFAULTFS="/boot:32:ext2:+ swap:256:swap /:8192:ext4 /home:*:ext4"
 
-worker_select_source_title='Select Source'
+worker_select_source_title='Installation Source'
 worker_runtime_network_title='Setup Network'
 worker_select_mirror_title='Choose Mirror'
-worker_set_clock_title='Set clock'
+worker_set_clock_title='Set Clock'
 worker_prepare_disks_title='Prepare Hard Drive(s)'
 worker_package_list_title='Select Packages'
 worker_install_packages_title='Install Packages'
@@ -248,7 +248,7 @@ worker_select_mirror ()
 
 worker_install_bootloader ()
 {
-	ask_option Grub "Choose bootloader" "Which bootloader would you like to use?  Grub is the Arch default." required \
+	ask_option Grub "Choose Bootloader" "Which bootloader would you like to use?  Grub is the Arch default." required \
 			"Grub" "Use the GRUB bootloader (default)" \
 			"None" "\Zb\Z1Warning\Z0\ZB: you must install your own bootloader!"
 
-- 
1.6.2.2



More information about the arch-releng mailing list